Skip to main content
GET
/
v1
/
emails
/
previews
/
{previewId}
/
devices
/
{deviceKey}
Node.js SDK
import Migma from 'migma';

const migma = new Migma('YOUR_API_KEY');

const { data, error } = await migma.previews.getDevice(
  'PREVIEW_ID',
  'gmail-chrome'
);
{
  "success": true,
  "data": {
    "device": {
      "deviceKey": "<string>",
      "deviceName": "<string>",
      "status": "<string>",
      "imageUrl": "<string>",
      "thumbnailUrl": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → API Integration.

Path Parameters

previewId
string
required

Preview ID

deviceKey
string
required

Device key (e.g., gmail_chrome, iphone13)

Response

Device preview retrieved

success
boolean
data
object